> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/etf/history.md).

# 2.4 ETF Historical Data

```
GET /etfs/{ticker}/history
```

**Path Parameters**

| Parameter   | Type    | Required | Description                                           |
| ----------- | ------- | -------- | ----------------------------------------------------- |
| ticker      | string  | Yes      | ETF ticker                                            |
| start\_date | string  | No       | Start date. Only the most recent 1 month is supported |
| end\_date   | string  | No       | End date. Only the most recent 1 month is supported   |
| limit       | integer | No       | Default 50 records from start\_date, max 300          |

**Response Example**

```json
[
    {
        "date": "2024-04-12",
        "ticker": "IBIT",
        "net_inflow": 3000000,
        "cum_inflow": 400000000,
        "net_assets": 5000000,
        "currency_share": 0.005,
        "prem_dsc": -0.0001,
        "value_traded": 4441000000,
        "volume": 322302
    }
]
```

**Response Fields**

| Field           | Type   | Description                 |
| --------------- | ------ | --------------------------- |
| date            | Long   | Data date (timestamp)       |
| ticker          | String | ETF ticker                  |
| net\_inflow     | Number | Daily net inflow (USD)      |
| cum\_inflow     | Number | Cumulative net inflow (USD) |
| net\_assets     | Number | Net assets (USD)            |
| currency\_share | Number | Market share                |
| prem\_dsc       | Number | Premium/discount rate       |
| value\_traded   | Number | Trading volume (USD)        |
| volume          | Number | Share volume                |

**Notes**

* The query range is limited to the most recent 1 month.
